---
title: "Get a specific MFA Provider."
slug: "get-a-specific-mfa-provider-1"
updated: 2026-03-02T22:30:52Z
published: 2026-03-02T22:35:52Z
canonical: "support.appgate.com/get-a-specific-mfa-provider-1"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.appgate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific MFA Provider.

Get/mfa-providers/{id}

Get a specific MFA Provider.

SecurityHTTPType bearer

Path parametersidstring (uuid) Required

ID of the object.

Example12699e27-b584-464a-81ee-5b4784b6d425

Responses200

MFA Provider object.

<select class='api-response-data' aria-label='Media type'><option value='72af31b9-4f59-4ac0-b0a1-c18b03c41e3b'>application/json</option>
</select>object  idstring  (uuid)    

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
namestring    

Name of the object.

Exampleobject
notesstring    

Notes for the object. Used for documentation purposes.

ExampleThis object has been created for test purposes.
createdstring  (date-time)    

Create date.

updatedstring  (date-time)    

Last update date.

tags Array of string   

Array of tags.

Example[
  "developer",
  "api-created"
]string    
typestring    

The type of the MFA Provider. "DefaultTimeBased" and "Fido2" are built-in, new ones cannot be created.

Valid values[
  "Radius",
  "DefaultTimeBased",
  "Fido2"
]
hostnames Array of string   

Hostnames/IP addresses to connect.

string    Examplemfa.company.com
portnumber    

Port to connect.

Example1812.0
inputTypestring    

The input type used in the client to enter the MFA code.

- "Masked" - The input is masked the same way as a password field.
- "Numeric" - The input is marked as a numeric input.
- "Text" - The input is handled as a regular plain text field.

Valid values[
  "Masked",
  "Numeric",
  "Text"
]Default"Masked"ExampleNumber

authenticationProtocolstring    

Radius protocol to use while authenticating users.

Valid values[
  "PAP",
  "CHAP"
]Default"CHAP"
timeoutnumber    

Timeout in seconds before giving up on response.

Default6.0
modestring    

Defines the multi-factor authentication flow for RADIUS.

- "OneFactor" - The input from the user is sent as password and the response is used for result.
- "Challenge" - Before prompting the user, Controller sends a challenge request to the RADIUS server
using "challengeSharedSecret" or the user password. Data from the response is used with user input to
send the second RADIUS authentication request.
- "Push" - "challengeSharedSecret" or the user password is sent to RADIUS which triggers an external
authentication flow. When the external authentication flow returns success, the MFA attempt is
authenticated.

Valid values[
  "OneFactor",
  "Challenge",
  "Push"
]Default"Challenge"
useUserPasswordboolean    

-> If enabled, the Client will send the cached password instead of using challengeSharedSecret" to initiate the multi-factor authentication.

401

Token error. Login again.

<select class='api-response-data' aria-label='Media type'><option value='35e2cfeb-37bd-42e0-9360-4c506bc714ce'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

403

Insufficient permissions to access this resource.

<select class='api-response-data' aria-label='Media type'><option value='0655b3d9-e9e2-4fd4-9107-6ed264cbe6f8'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

404

The requested resource can not be found.

<select class='api-response-data' aria-label='Media type'><option value='ffad4add-a176-4d8d-b04d-4b63395738c9'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

406

Invalid 'Accept' header.

<select class='api-response-data' aria-label='Media type'><option value='d44e488d-8e73-427d-88f3-32817af9d2e3'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

500

Unexpected server side error.

<select class='api-response-data' aria-label='Media type'><option value='c712815c-3122-47e0-bf9c-eaa25e532bc2'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.
